
package reparto_mazapa.keymon.lat;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class starter implements IRemote{
	public static starter mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public starter() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("starter"), "reparto_mazapa.keymon.lat.starter");
	}
     public static RemoteObject getObject() {
		return myClass;
	 }
	public RemoteObject _service;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
        _service = (RemoteObject) args[2];
        remoteMe = RemoteObject.declareNull("reparto_mazapa.keymon.lat.starter");
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[3];
		pcBA = new PCBA(this, starter.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) mostCurrent.pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _gps = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _distanciageo = RemoteObject.createImmutable("");
public static RemoteObject _rp = RemoteObject.declareNull("anywheresoftware.b4a.objects.RuntimePermissions");
public static RemoteObject _flp = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.FusedLocationProviderWrapper");
public static RemoteObject _flpstarted = RemoteObject.createImmutable(false);
public static RemoteObject _skmt = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _ruta = RemoteObject.createImmutable("");
public static RemoteObject _btadmin = RemoteObject.declareNull("anywheresoftware.b4a.objects.Serial.BluetoothAdmin");
public static RemoteObject _bluetoothstate = RemoteObject.createImmutable(false);
public static RemoteObject _timer1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.Timer");
public static RemoteObject _interval = RemoteObject.createImmutable(0);
public static RemoteObject _trackeractividad = RemoteObject.createImmutable("");
public static RemoteObject _pushserviceactividad = RemoteObject.createImmutable("");
public static RemoteObject _mac_impresora = RemoteObject.createImmutable("");
public static RemoteObject _logs = RemoteObject.declareNull("anywheresoftware.b4a.keywords.StringBuilderWrapper");
public static RemoteObject _logcat = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone.LogCat");
public static RemoteObject _sharedfolder = RemoteObject.createImmutable("");
public static RemoteObject _cedislocation = RemoteObject.declareNull("anywheresoftware.b4a.gps.LocationWrapper");
public static RemoteObject _reqmanager = RemoteObject.declareNull("reparto_mazapa.keymon.lat.dbrequestmanager");
public static RemoteObject _server = RemoteObject.createImmutable("");
public static RemoteObject _muestraprogreso = RemoteObject.createImmutable("");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static reparto_mazapa.keymon.lat.main _main = null;
public static reparto_mazapa.keymon.lat.appupdater _appupdater = null;
public static reparto_mazapa.keymon.lat.tracker _tracker = null;
public static reparto_mazapa.keymon.lat.subs _subs = null;
public static reparto_mazapa.keymon.lat.firebasemessaging _firebasemessaging = null;
public static reparto_mazapa.keymon.lat.foto _foto = null;
public static reparto_mazapa.keymon.lat.mapa_cliente _mapa_cliente = null;
public static reparto_mazapa.keymon.lat.mapa_rutas _mapa_rutas = null;
public static reparto_mazapa.keymon.lat.newinst2 _newinst2 = null;
public static reparto_mazapa.keymon.lat.b4xpages _b4xpages = null;
public static reparto_mazapa.keymon.lat.b4xcollections _b4xcollections = null;
public static reparto_mazapa.keymon.lat.httputils2service _httputils2service = null;
public static reparto_mazapa.keymon.lat.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"appUpdater",Debug.moduleToString(reparto_mazapa.keymon.lat.appupdater.class),"B4XCollections",Debug.moduleToString(reparto_mazapa.keymon.lat.b4xcollections.class),"B4XPages",Debug.moduleToString(reparto_mazapa.keymon.lat.b4xpages.class),"BluetoothState",starter._bluetoothstate,"BTAdmin",starter._btadmin,"c",starter._c,"cedisLocation",starter._cedislocation,"DateUtils",starter.mostCurrent._dateutils,"distanciaGeo",starter._distanciageo,"FirebaseMessaging",Debug.moduleToString(reparto_mazapa.keymon.lat.firebasemessaging.class),"FLP",starter._flp,"flpStarted",starter._flpstarted,"foto",Debug.moduleToString(reparto_mazapa.keymon.lat.foto.class),"gps",starter._gps,"HttpUtils2Service",Debug.moduleToString(reparto_mazapa.keymon.lat.httputils2service.class),"Interval",starter._interval,"logcat",starter._logcat,"logs",starter._logs,"MAC_IMPRESORA",starter._mac_impresora,"Main",Debug.moduleToString(reparto_mazapa.keymon.lat.main.class),"MAPA_CLIENTE",Debug.moduleToString(reparto_mazapa.keymon.lat.mapa_cliente.class),"MAPA_RUTAS",Debug.moduleToString(reparto_mazapa.keymon.lat.mapa_rutas.class),"muestraProgreso",starter._muestraprogreso,"newinst2",Debug.moduleToString(reparto_mazapa.keymon.lat.newinst2.class),"pushServiceActividad",starter._pushserviceactividad,"reqManager",starter._reqmanager,"rp",starter._rp,"ruta",starter._ruta,"server",starter._server,"Service",starter.mostCurrent._service,"SharedFolder",starter._sharedfolder,"skmt",starter._skmt,"Subs",Debug.moduleToString(reparto_mazapa.keymon.lat.subs.class),"Timer1",starter._timer1,"Tracker",Debug.moduleToString(reparto_mazapa.keymon.lat.tracker.class),"trackerActividad",starter._trackeractividad,"XUIViewsUtils",Debug.moduleToString(reparto_mazapa.keymon.lat.xuiviewsutils.class)};
}
}